<?php
/*
Plugin Name: Esmâ-ül Hüsnâ
Plugin URI: http://wordpress.org/extend/plugins/esma-ul-husna/
Description: Allah'ın 99 ismini rastgele bir şekilde sayfanızda gösterebileceğiniz bileşen içeren bir eklenti.
Version: 1.0
Author: Süleyman ÜSTÜN
Author URI: http://suleymanustun.com/
*/
class euh_widget extends WP_Widget {

	function euh_widget() {
		parent::WP_Widget(null, 'Esmâ-ül Hüsnâ', array("description" => "Allah'ın 99 ismini rastgele bir şekilde sayfanızda gösterebileceğiniz bir bileşen."));
	}
	
	function widget($args, $instance) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		$image = apply_filters('widget_title', $instance['image']);
		$color = apply_filters('widget_title', $instance['color']);
		if (!$title) {
			$title = 'Esmâ-ül Hüsnâ';
		}

		$esma = array(
			1=>array('Allah','Her ismin vasfını ihtiva eden öz adı. Kendinden başka ilah bulunmayan tek Allah.'),
			2=>array('Er-Rahmân','Dünyada bütün mahlûkata merhamet eden, şefkat gösteren, ihsan eden.'),
			3=>array('Er-Rahîm','Ahirette, sadece müminlere acıyan, merhamet eden.'),
			4=>array('El-Melik','Mülkün, kâinatın sahibi, mülk ve saltanatı devamlı olan.'),
			5=>array('El-Kuddûs','Her noksanlıktan uzak ve her türlü takdîse lâyık olan.'),
			6=>array('Es-Selâm','Her türlü tehlikelerden selamete çıkaran. Cennetteki bahtiyar kullarına selâm eden.'),
			7=>array('El-Mü’min','Güven veren, emin kılan, koruyan, iman nurunu veren.'),
			8=>array('El-Müheymin','Her şeyi görüp gözeten, her varlığın yaptıklarından haberdar olan.'), 
			9=>array('El-Azîz','İzzet sahibi, her şeye galip olan, karşı gelinemeyen.'),
			10=>array('El-Cebbâr','Azamet ve kudret sahibi. Dilediğini yapan ve yaptıran. Hükmüne karşı gelinemeyen.'),
			11=>array('El-Mütekebbir','Büyüklükte eşi, benzeri yok.'), 
			12=>array('El-Hâlık','Yaratan, yoktan var eden. Varlıkların geçireceği halleri takdir eden.'),
			13=>array('El-Bâri','Her şeyi kusursuz ve mütenasip yaratan.'), 
			14=>array('El-Musavvir','Varlıklara şekil veren ve onları birbirinden farklı özellikte yaratan.'),
			15=>array('El-Gaffâr','Günahları örten ve çok mağfiret eden. Dilediğini günah işlemekten koruyan.'), 
			16=>array('El-Kahhâr','Her istediğini yapacak güçte olan, galip ve hâkim.'),
			17=>array('El-Vehhâb','Karşılıksız nimetler veren, çok fazla ihsan eden.'), 
			18=>array('Er-Razzâk','Her varlığın rızkını veren ve ihtiyacını karşılayan.'), 
			19=>array('El-Fettâh','Her türlü sıkıntıları gideren.'), 
			20=>array('El-Alîm','Gizli açık, geçmiş, gelecek, her şeyi, ezeli ve ebedi ilmi ile en mükemmel bilen.'),
			21=>array('El-Kâbıd','Dilediğinin rızkını daraltan, ruhları alan.'),
			22=>array('El-Bâsıt','Dilediğinin rızkını genişleten, ruhları veren.'),
			23=>array('El-Hâfıd','Kâfir ve facirleri alçaltan.'),
			24=>array('Er-Râfi','Şeref verip yükselten.'), 
			25=>array('El-Mu’ız','Dilediğini aziz eden.'),
			26=>array('El-Müzil','Dilediğini zillete düşüren, hor ve hakir eden.'),
			27=>array('Es-Semi','Her şeyi en iyi işiten, duaları kabul eden.'),
			28=>array('El-Basîr','Gizli açık, her şeyi en iyi gören.'), 
			29=>array('El-Hakem','Mutlak hakim, hakkı bâtıldan ayıran. Hikmet sahibi.'), 
			30=>array('El-Adl','Mutlak adil, yerli yerinde yapan.'), 
			31=>array('El-Latîf','Her şeye vakıf, lütuf ve ihsan sahibi olan.'),
			32=>array('El-Habîr','Her şeyden haberdar. Her şeyin gizli taraflarından haberi olan.'),
			33=>array('El-Halîm','Cezada, acele etmeyen, yumuşak davranan, hilm sahibi.'),
			34=>array('El-Azîm','Büyüklükte benzeri yok. Pek yüce.'),
			35=>array('El-Gafûr','Affı, mağfireti bol.'),
			36=>array('Eş-Şekûr','Az amele, çok sevap veren.'),
			37=>array('El-Aliyy','Yüceler yücesi, çok yüce.'),
			38=>array('El-Kebîr','Büyüklükte benzeri yok, pek büyük.'),
			39=>array('El-Hafîz','Her şeyi koruyucu olan.'), 
			40=>array('El-Mukît','Rızıkları yaratan.'), 
			41=>array('El-Hasîb','Kulların hesabını en iyi gören.'), 
			42=>array('El-Celîl','Celal ve azamet sahibi olan.'),
			43=>array('El-Kerîm','Keremi, lütuf ve ihsânı bol, karşılıksız veren, çok ikram eden.'),
			44=>array('Er-Rakîb','Her varlığı, her işi her an gözeten. Bütün işleri murakabesi altında bulunduran.'),
			45=>array('El-Mucîb','Duaları, istekleri kabul eden.'), 
			46=>array('El-Vâsi','Rahmet ve kudret sahibi, ilmi ile her şeyi ihata eden.'), 
			47=>array('El-Hakîm','Her işi hikmetli, her şeyi hikmetle yaratan.'), 
			48=>array('El-Vedûd','İyiliği seven, iyilik edene ihsan eden. Sevgiye layık olan.'),
			49=>array('El-Mecîd','Nimeti, ihsanı sonsuz, şerefi çok üstün, her türlü övgüye layık bulunan.'),
			50=>array('El-Bâis','Mahşerde ölüleri dirilten, Peygamber gönderen.'),
			51=>array('Eş-Şehîd','Zamansız, mekansız hiçbir yerde olmayarak her zaman her yerde hazır ve nazır olan.'),
			52=>array('El-Hak','Varlığı hiç değişmeden duran. Var olan, hakkı ortaya çıkaran.'), 
			53=>array('El-Vekîl','Kulların işlerini bitiren. Kendisine tevekkül edenlerin işlerini en iyi neticeye ulaştıran.'),
			54=>array('El-Kaviyy','Kudreti en üstün ve hiç azalmaz.'),
			55=>array('El-Metîn','Kuvvet ve kudret menbaı, pek güçlü.'),
			56=>array('El-Veliyy','Müslümanların dostu, onları sevip yardım eden.'), 
			57=>array('El-Hamîd','Her türlü hamd ve senaya layık olan.'), 
			58=>array('El-Muhsî','Yarattığı ve yaratacağı bütün varlıkların sayısını bilen.'), 
			59=>array('El-Mübdi','Maddesiz, örneksiz yaratan.'), 
			60=>array('El-Muîd','Yarattıklarını yok edip, sonra tekrar diriltecek olan.'), 
			61=>array('El-Muhyî','İhya eden, yarattıklarına can veren.'), 
			62=>array('El-Mümît','Her canlıya ölümü tattıran.'), 
			63=>array('El-Hayy','Ezeli ve ebedi bir hayat ile diri olan.'),
			64=>array('El-Kayyûm','Mahlukları varlıkta durduran, zatı ile kaim olan.'),
			65=>array('El-Vâcid','Kendisinden hiçbir şey gizli kalmayan, hiçbir şeye muhtaç olmayan.'),
			66=>array('El-Mâcid','Kadri ve şânı büyük, keremi, ihsanı bol olan.'), 
			67=>array('El-Vâhid','Zat, sıfat ve fiillerinde benzeri ve ortağı olmayan, tek olan.'), 
			68=>array('Es-Samed','Hiçbir şeye ihtiyacı olmayan, herkesin muhtaç olduğu merci.'), 
			69=>array('El-Kâdir','Dilediğini dilediği gibi yaratmaya muktedir olan.'), 
			70=>array('El-Muktedir','Dilediği gibi tasarruf eden, her şeyi kolayca yaratan kudret sahibi.'), 
			71=>array('El-Mukaddim','Dilediğini yükselten, öne geçiren, öne alan.'), 
			72=>array('El-Muahhir','Dilediğini alçaltan, sona, geriye bırakan.'),
			73=>array('El-Evvel','Ezeli olan, varlığının başlangıcı olmayan.'),
			74=>array('El-Âhir','Ebedi olan, varlığının sonu olmayan.'),
			75=>array('Ez-Zâhir','Yarattıkları ile varlığı açık, aşikâr olan, kesin delillerle bilinen.'),
			76=>array('El-Bâtın','Aklın tasavvurundan gizli olan.'), 
			77=>array('El-Vâlî','Bütün kâinatı idare eden, onların işlerini yoluna koyan.'),
			78=>array('El-Müteâlî','Son derece yüce olan.'),
			79=>array('El-Berr','İyilik ve ihsanı bol olan.'),
			80=>array('Et-Tevvâb','Tevbeleri kabul edip, günahları bağışlayan.'),
			81=>array('El-Müntekım','Asilerin, zalimlerin cezasını veren.'),
			82=>array('El-Afüvv','Affı çok olan, günahları mağfiret eden.'),
			83=>array('Er-Raûf','Çok merhametli, pek şefkatli.'), 
			84=>array('Mâlik-ül Mülk','Mülkün, her varlığın sahibi.'),
			85=>array('Zül-Celâli vel İkrâm','Celal, azamet, şeref, kemal ve ikram sahibi.'), 
			86=>array('El-Muksit','Mazlumların hakkını alan, adaletle hükmeden, her işi birbirine uygun yapan.'),
			87=>array('El-Câmi','İki zıttı bir arada bulunduran. Kıyamette her mahlûkatı bir araya toplayan.'),
			88=>array('El-Ganiyy','İhtiyaçsız, muhtaç olmayan, her şey Ona muhtaç olan.'),
			89=>array('El-Mugnî','Müstağni kılan. İhtiyaç gideren, zengin eden.'), 
			90=>array('El-Mâni','Dilemediği şeye mani olan, engelleyen.'), 
			91=>array('Ed-Dârr','Elem, zarar verenleri yaratan.'), 
			92=>array('En-Nâfi','Fayda veren şeyleri yaratan.'), 
			93=>array('En-Nûr','Âlemleri nurlandıran, dilediğine nur veren.'),
			94=>array('El-Hâdî','Hidayet veren.'), 
			95=>array('El-Bedî','Misalsiz, örneksiz harikalar yaratan. Eşi ve benzeri olmayan.'),
			96=>array('El-Bâkî','Varlığının sonu olmayan, ebedi olan.'),
			97=>array('El-Vâris','Her şeyin asıl sahibi olan.'), 
			98=>array('Er-Reşîd','İrşada muhtaç olmayan, doğru yolu gösteren.'),
			99=>array('Es-Sabûr','Ceza vermede, acele etmeyen.')
		);

		echo $before_widget;
		echo $before_title.$title.$after_title;
		$rand = array_rand($esma);
		if ($image) {
			if ($color=='beyaz') {
				echo '<center><img width="128" src="wp-content/plugins/esma-ul-husna/images/'.$rand.'.png" /></center>';
			} elseif ($color=='siyah') {
				echo '<center><img width="128" src="wp-content/plugins/esma-ul-husna/images/'.$rand.'.gif" /></center>';
			}
		}
		echo '<div style="padding:0 0 6px 0;font-size:18pt;text-align:center;">&#123;'.$esma[$rand][0].'&#125;</div>';
		echo '<li>'.$esma[$rand][1].'</li>';
		echo $after_widget;
	}
	
	function update($new_instance, $old_instance) {
		return $new_instance;
	}
	
	function form($instance) {
		$title = esc_attr($instance['title']);
		$image = esc_attr($instance['image']);
		$color = esc_attr($instance['color']);
		echo '<p><label>Başlık</label><input type="text" id="'.$this->get_field_id('title').'" name="'.$this->get_field_name('title').'" value="'.$title.'" class="widefat" /></p>';
		echo '<p><input type="checkbox" id="'.$this->get_field_id('image').'" name="'.$this->get_field_name('image').'" value="checked" '.$image.' /><label> Orjinal metni göster.</label></p>';
		echo '<p><label>Orjinal metin rengi:</label></p>';
		echo '<p><input type="radio" name="'.$this->get_field_name('color').'" value="beyaz" '.($color == 'beyaz' ? 'checked' : '').' /><label> Beyaz</label></p>';
		echo '<p><input type="radio" name="'.$this->get_field_name('color').'" value="siyah" '.($color == 'siyah' ? 'checked' : '').' /><label> Siyah</label></p>';
	}
	
}
add_action('widgets_init', create_function('', 'return register_widget("euh_widget");'));
?>